#include <linux/autoconf.h>
#include <linux/version.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 20)
#include <linux/fs.h>
#include <linux/stddef.h> /* NULL */


/*
 * After 2.6.18, inodes were "slimmed". This involved removing the union
 * that encapsulates inode private data (and using i_private instead), as well
 * as removing i_blksize. Red Hat backported this behavior into a 2.6.17
 * kernel.
 *
 * This test will fail on a kernel with such a patch.
 */
void test(void)
{
   struct inode inode;

   inode.u.generic_ip = NULL;
}
#else
#error "This test intentionally fails on 2.6.20 and newer kernels."
#endif
