#include <linux/autoconf.h>
#include <linux/version.h>

/*
 * In 2.4.3, the s_maxbytes field was added to struct super_block.
 * However, we can't simply condition on 2.4.3 as the field's starting point
 * because the 2.4.2-2 kernel in RH7.1 also contained it, and if we don't set 
 * it, the generic write path in the page cache will fail.
 */
#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 4, 3)

#include <linux/fs.h>

void test(void)
{
   struct super_block sb;

   sb.s_maxbytes = 0;
}
#endif
