/*
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 *
 * $Id$
 *
 */


/*
 * eventManager.h --
 *
 *    Multi-timer manager
 *
 */


#ifndef __EVENTMANAGER_H__
#   define __EVENTMANAGER_H__


#   include "vm_basic_types.h"
#include "dbllnklst.h"


typedef Bool (*EventManager_EventHandler)(void *clientData);

typedef struct Event Event;

DblLnkLst_Links * EventManager_Init(void);
Event *EventManager_Add(DblLnkLst_Links *eventQueue, uint32 period, 
                        EventManager_EventHandler handler, void *handlerData);
void EventManager_Remove(Event *e);
int EventManager_ProcessNext(DblLnkLst_Links *eventQueue, uint64 *sleepUsecs);
void EventManager_Destroy(DblLnkLst_Links *eventQueue);


#endif /* __EVENTMANAGER_H__ */
